/* yForth? - A Forth interpreter written in ANSI C
 * Copyright (C) 2012 Luca Padovani
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ------------------------------------------------------------------------
 * Module name: udio.h
 * Abstract:    User device Input/Output functions.
 */

void d_open(void);
void d_close(void);
void d_clrscr(void);
void d_clreol(void);
void d_setattr(Cell attr);
Cell d_getattr(void);
void d_gotoxy(Cell x, Cell y);
Cell d_wherex(void);
Cell d_wherey(void);
Char d_getch(void);
Cell d_kbhit(void);
